Ticket API
Set Ticket Custom Field Values
Set custom field values on a ticket. Uses the ticket’s extension entity to store field values.
PUT
/
v2
/
tickets
/
{ticket_id}
/
custom-field-values
Set Ticket Custom Field Values
curl --request PUT \
--url https://public.api.serval.com/v2/tickets/{ticket_id}/custom-field-values \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"fieldValues": [
{
"fieldId": "<string>",
"fieldKey": "<string>",
"value": 123,
"pinned": true
}
]
}
'import requests
url = "https://public.api.serval.com/v2/tickets/{ticket_id}/custom-field-values"
payload = { "fieldValues": [
{
"fieldId": "<string>",
"fieldKey": "<string>",
"value": 123,
"pinned": True
}
] }
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.put(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PUT',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
fieldValues: [{fieldId: '<string>', fieldKey: '<string>', value: 123, pinned: true}]
})
};
fetch('https://public.api.serval.com/v2/tickets/{ticket_id}/custom-field-values', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"data": [
{
"id": "<string>",
"entityId": "<string>",
"fieldId": "<string>",
"fieldKey": "<string>",
"fieldName": "<string>",
"value": 123,
"setByUserId": "<string>",
"setByAppInstanceId": "<string>",
"createdAt": "2023-11-07T05:31:56Z",
"deletedAt": "2023-11-07T05:31:56Z",
"pinned": true
}
]
}{
"message": "<string>",
"detail": {
"type": "<string>",
"value": "<string>",
"debug": {}
}
}Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Path Parameters
The ID of the ticket to set custom field values for.
Body
application/json
The field values to set. Use field_key to identify fields (e.g. "custom-gmin").
Show child attributes
Show child attributes
Response
Success
The updated field values for the ticket.
Show child attributes
Show child attributes
Was this page helpful?
⌘I
Set Ticket Custom Field Values

